Bug 62879 - Write protection error message is confusing and should indicate if it's section, frame, ToC or whatever
Summary: Write protection error message is confusing and should indicate if it's secti...
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.4.0 target:4.5.0 target:...
Keywords:
: 98456 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-03-28 18:43 UTC by Markus Ilmola
Modified: 2018-07-26 16:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Ilmola 2013-03-28 18:43:57 UTC
Problem description: 

When trying to edit a write protected section, the error message reads "Readonly content cannot be changed.". This is confusing as it gives no glue how to fix the problem. The instinct is to click the "Edit file" -button.  The error message should be reformulated so the user knows to edit the section properties.

Steps to reproduce:
1. Insert a write protected section (Insert -> section, check “Protect” -check box and click “Insert” -button)
2. Place cursor inside the section and try to type something

Current behavior:

Error message is shown:

Readonly content cannot be changed.
No modifications will be accepted

Expected behavior:

Error message should read:

Write protected sections cannot be changed.
No modifications will be accepted.

Or something along these lines.
Operating System: All
Version: unspecified
Comment 1 Markus Ilmola 2013-04-26 20:29:36 UTC
This bug seems also been reported to Apache OOO bug tracker:

https://issues.apache.org/ooo/show_bug.cgi?id=27678
Comment 2 Joel Madero 2014-06-25 17:02:19 UTC
Verified:
Ubuntu 14.04 x64
LibreOffice 4.4 master built a few days ago

Sure seems fine.

Marking as
NEW
Enhancement
Lowest

NeedDevEval (really easy to fix, code pointer I'm sure would be easy to find)
Comment 3 Joel Madero 2014-06-25 17:07:30 UTC Comment hidden (obsolete)
Comment 4 Commit Notification 2014-06-26 15:43:42 UTC
Joel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b7c7fab14ce73dd04d636af05ee837ea7de8f23

fdo#62879 Changed wording of protected section dialog



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Adolfo Jayme 2014-07-03 07:19:29 UTC
In that patch, “Write protected” is a compound adjective. Shouldn’t it be written hyphenated, for clarity?: “Write-protected sections cannot be changed.”
Comment 6 Joel Madero 2014-07-03 23:55:55 UTC Comment hidden (obsolete)
Comment 7 Joel Madero 2014-11-06 03:27:51 UTC Comment hidden (obsolete)
Comment 8 Commit Notification 2014-11-06 08:08:39 UTC
Joel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8cdcea2689600ef16829a3f951ddf6fb8e9125a0

fdo#62879 Hyphenation

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Stanislav Horacek 2014-11-30 13:10:25 UTC
Reopening - I think this change should be reverted as the dialog and the "corrected" message are not specific for sections.

Try e.g. this:
1. In a new text document, choose Insert - Frame.
2. On the Options tab, check the Content box in the Protect area and press OK.
3. Try to write inside the new frame.

You will see the dialog with the "Write-protected sections cannot be changed" which is clearly wrong here since not section, but frame is involved.
Comment 10 Stanislav Horacek 2014-12-07 13:31:28 UTC
Patch changing word "sections" to "content" submitted to Gerrit:
https://gerrit.libreoffice.org/#/c/13347/
https://gerrit.libreoffice.org/#/c/13348/
Comment 11 Commit Notification 2014-12-09 09:14:24 UTC Comment hidden (obsolete)
Comment 12 Commit Notification 2014-12-09 09:14:29 UTC
Stanislav Horacek committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19bef5f451c49a5d3377fd0c0ff4fb92db0d8446&h=libreoffice-4-4

related fdo#62879 replace "section" in dialog for read-only content

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Robinson Tryon (qubit) 2015-03-05 15:33:29 UTC Comment hidden (obsolete)
Comment 14 Stanislav Horacek 2015-03-05 17:32:50 UTC
(In reply to Robinson Tryon (qubit) from comment #13)
> Looks like patches were pushed after bug was last set to REOPENED status.
> Are we all done here?

No. My patch only restored the previous state, user is still provided by message about write-protected content (the content is not specified - like section, frame or whatever). This cannot be fixed by a simple change of the message text.
Comment 15 QA Administrators 2015-09-04 02:56:18 UTC Comment hidden (obsolete)
Comment 16 Stanislav Horacek 2015-09-04 20:15:18 UTC Comment hidden (obsolete)
Comment 17 Timur 2018-07-26 16:52:19 UTC
*** Bug 98456 has been marked as a duplicate of this bug. ***